/************* IMPOSTARE NOME TEMA IN STYLE.CSS *************/

@import url('https://fonts.googleapis.com/css?family=Playfair+Display');
@import url('https://fonts.googleapis.com/css?family=Raleway:300,400,500,600,700,900');

/*
font-family: 'Playfair Display', serif;
font-family: 'Raleway', sans-serif;
*/

@import "style.less";
@import "layout.less";
body {
    font-family: 'Raleway', sans-serif;
    font-weight: 400;
    color: white;
    background: url("../images/bg-main-pattern-black.jpg");
    -webkit-text-size-adjust: 100%;
}

strong,
b {
    font-weight: 700;
}

em,
i {
    font-style: italic;
}

.fontPlay {
    font-family: 'Playfair Display', serif;
}

/* = GLOBAL CLASSES AND SETTING *****************/
@darkergray: #080808;
@darkgray: #31373a;
@black: #000000;
@beige: #c79129;
@lightgray: lighten(black, 80%);
@lightengray: #eeeeee;
@light-txt:#dbeef4;

/************************************************/

.cta-default(@color, @hover-color, @text-color:white) {
    background: @color;
    border:1px solid @color;
    color:@text-color;
    display: inline-block;
    text-align:center;
    padding: 0.5em 1em;
    border-radius:1em;
    text-decoration:none;
    .csstransition;
    &:hover {
        background: none;
        color:@hover-color;
        .csstransition;
    }
    &.medium {
        padding: 0.75em 1.5em;
        border-radius: 1.5em;
    }
    &.uppercase {
        text-transform:uppercase;
    }
}
.cta-default{
    .cta-default(@beige,@beige,white);
}
.cta-default.white{
    .cta-default(white,white,@beige);
}

.main-wrapper {
    width: 1280px;
    margin: 0 auto;
    position: relative;
    @media only screen and (max-width: 1280px) {
        width: 90%;
    }
}
.medium-wrapper {
    width: 700px;
    margin: 0 auto;
    position: relative;
    @media @max-m {
        width: 90%;
    }
}

a {
    color: @beige;
    &:hover {
        text-decoration: none;
    }
}

.entry-content {

    p,ol,ul {
        margin-bottom: 1.5rem;
    }
    p,
    li {
        line-height: 1.75em;
        word-wrap: break-word;
    }
    ul {
        li {
            list-style: outside disc;
            margin-left: 20px;

        }
    }
    small, 
    .font_small {font-size: 0.833em;}

    pre {
        padding: 1em 1.5em;
        background: @lightengray;
        border:1px solid lighten(@lightengray, 20%);
        margin: 1em 0;
    }
    code {
        font-size: 0.875em;
        font-family: "Lucida Console", Monaco, monospace;
    }
    table {
        margin:1.5em 0;
        width: 100%;
        font-size: 1.125em;
        tr {
            th {
                background-color: @beige;
                color: white;
                text-align: left;
            }
            td {
                border-bottom:1px solid white;
                padding: 0.75em;
                &:first-child {
                    padding-left: 0;
                }
                &:last-child {
                    padding-right: 0;
                }
            }
        }
        @media screen and (max-width: 650px) {
            table {
                overflow-x: auto;
                display: block;
            }
        }
        
    }
    blockquote {
        font-style: italic;
        padding-left: 1.75rem;
        position: relative;
        margin: 1em 0;
        &:before {
            position: absolute;
            top: 0;
            left: 0;
            content: "\f10d";
            font-family: FontAwesome;
        }
    }
    ol {
        list-style: inside decimal;
    }
    h2, h3, h4 {
        .fontPlay;
        margin-bottom: 1.5rem;
    }
    h2 { font-size: 2.25em; }
    h3 { font-size: 1.5em; }
    h4 { font-size: 1.25em; }
    p:first-child {
        margin-top: 0;
    }

    p:last-child {
        margin-bottom: 0;
    }
}



.main-thumb {
    img {
        display: block;
        width: 100%;
    }
    margin-bottom: 1.5em;
}

.videoWrapper {
    position: relative;
    padding-bottom: 56.25%;
    /* 16:9 */
    padding-top: 25px;
    height: 0;
    iframe {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }
}

img.size-full {
    width: 100%;
}

#pull {
    position: relative;
    text-transform: uppercase;
    color: @beige;
    font-weight: 700;
    text-align: center;
    font-size: 1em;
    i {
        font-size: 1.5em;
    }
    display: none;
    cursor: pointer;
    transition: 0.2s ease-in-out all;
    cursor: pointer;
    padding: 0.5em 0;
    &:hover {
        color: white;
    }
    @media @max-xl{
        display: block;
    }
    + div {
        @media @max-xl {
            display: none;
        }
    }
}

.site-navigation {
    @media @min-xl {
        ul {
            > li {
                display: inline-block;
                vertical-align: top;
                a {
                    display: block;
                    position: relative;
                    text-transform: uppercase;
                    font-size: 0.875rem;
                    color: white;
                    text-decoration: none;
                    padding: 1.5em;
                    .csstransition;
                    &::before {
                        content: "";
                        width:100%;
                        height: 1px;
                        background: @beige;
                        display: block;
                        position: absolute;
                        bottom: 0;
                        left:0;
                        opacity: 0;
                        .csstransition;
                    }
                }
                a:hover,
                &.current-menu-item a {
                    color:@beige;
                    .csstransition;
                    &::before {
                        opacity: 1;
                        .csstransition;
                    }
                }
            }
        }
        .sub-menu {
            display: none;
            position: absolute;
            border: 1px dotted gray;
            z-index: 10;
            li {
                display: block;
                border-top: 1px dotted gray;
                &:first-child {
                    border-top: none;
                }
                a {
                    display: block;
                    white-space: nowrap;
                    padding: 1em 1em;
                    background: white;
                }
            }
        }
        li:hover ul {
            display: block;
        }
    }
    @media @max-xl {
        float: none;
        > ul {
            display: none;
        }
        ul li {
            display: block;
            text-align: center;
            &.current-menu-item {
                background: none;
            }
            a {
                color: black;
                padding: 0.5rem 1rem;
                display: block;
                text-transform: uppercase;
                text-decoration: none;
                border-bottom: 1px solid lighten(gray, 15%);
            }
            &:first-child {
                a {
                    border-top: 1px solid lighten(gray, 15%);
                }
            }
        }
        .sub-menu {
            li {
                a {
                    font-size: 0.875em;
                    background: lighten(gray, 20%);
                }
                &:first-child {
                    a {
                        border-top: none;
                    }
                }
            }
        }
    }
}

.gallery {
    margin: 1em -0.5rem !important;
    .gallery-item {
        padding: 0 0.5rem;
        img {
            border: none !important;
            display: block;
            transition: .3s linear all;
        }
        a {
            border: 2px solid #cfcfcf;
            transition: .3s linear all;
            display: block;
            overflow: hidden;
            &:hover {
                border: 2px solid black;
                transition: .3s linear all;
                img {
                    transform: scale(1.1, 1.1);
                    transition: .3s linear all;
                }
            }
        }
    }
    &.gallery-columns-4 {
        @media (max-width: 768px) {
            .gallery-item {
                width: 50% !important;
                img {
                    width: 100%;
                    height: auto;
                }
            }
        }
        @media (max-width: 480px) {
            .gallery-item {
                width: 100% !important;
            }
        }
    }
}

.rslides {
    position: relative;
    list-style: none;
    overflow: hidden;
    width: 100%;
    padding: 0;
    margin: 0;
    .item-slide {
        -webkit-backface-visibility: hidden;
        position: absolute;
        display: none;
        width: 100%;
        left: 0;
        top: 0;
        &::first-child {
            position: relative;
            display: block;
            float: left;
        }
    }
    img {
        display: block;
        height: auto;
        float: left;
        width: 100%;
        border: 0;
    }
}

.widget_search {
    form {
        position: relative;
    }
    input[type="search"]{
        display: block;
        width: 100%;
        padding: 0.5em 3em 0.5em 0.5em;
        outline: none;
        border: 1px solid @lightgray;
    }
    .submit {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        padding: 0.5em 1em;
        background: none;
        border:none;
    }
}

.standard-page {
    .entry-content {
        line-height: 1.5em;
        a {
            color:;
        }
        p,
        li {
            line-height: 1.5em;
            word-wrap: break-word;
        }
        p, ol, ul {
            margin-bottom: 1.5em;
        }
        ul {
            li {
                list-style: inside disc;
            }
        }
        h1, h2, h3, h4, h5 ,h6 {
            color: ;
            line-height: 1em;
            margin: 0.5em 0;
        }
        h1 {
            margin-top: 0;
        }
        h2 {
            font-size: 2.25em;
            margin-bottom: 0.75em;
        }
        h3 {
            font-size: 1.75em;
            margin-bottom: 0.75em;
        }
        h4 {
            font-size: 1.375em;
            margin-bottom: 0.75em;
        }
        small, 
        .font_small {font-size: 0.833em;}

        pre {
            padding: 1em 1.5em;
            background: lighten(@lightgray,10%);
            border:1px solid @lightgray;
        }
        code {
            font-size: 0.875em;
            font-family: "Lucida Console", Monaco, monospace;
        }
        table {
            margin:1.5em 0;
            width: 100%;
            border:1px solid @lightgray;
            @media screen and (max-width: 650px) {
                table {
                    overflow-x: auto;
                    display: block;
                }
            }
            th {
                font-weight: 700;
            }
            th,
            td {
                padding: 0.5em;
                border:1px solid @lightgray;
            }
        }
        
        ol {
            list-style: inside decimal;
        }
    }
}

/************************************************/

.topper-bar {
    background: @darkergray;
    .fontPlay;
    padding: 0.5em 0;
    .flex-wrapper {
        display: flex;
        justify-content: flex-end;
        align-items: center;

        .ct-bx {
            @media @min-m {
                margin-left: 1em;
            }
            .cta-default {
                display: inline-block;
            }
        }
    }
    @media @max-m {
        .flex-wrapper {
            flex-direction:column;
            align-items: center;
            .ct-bx {
                margin:0.5em 0;
            }
        }
    }
}

.site-header {
    background: @black;
    .flex-wrapper {
        display: flex;
        padding: 1em 0;
        justify-content: space-between;
        align-items: center;
        
    }
    .main-logo {
        @media @max-m {
            width: 50%;
        }
        @media @max-xs {
            width: 60%;
        }
        img {
            width:100%;
            .csstransition;
        }
    }
    &.fixed {
        position: fixed;
        top: 0;
        width: 100%;
        z-index: 10;
        .main-logo {
            img {
                width: 70%;
                .csstransition;
            }
        }
    }
}

.slick-slider {
    .item-slide {
        position: relative;
        .payoff {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%,-50%);
            text-align:center;
            display: flex;

            &.bottom {
                top: 65%;
            }
            img {
                display: inline-block;
            }
            @media @max-m {
                left: 5%;
                right: 5%;
                transform: translate(0%,-50%);
            }
            .txt {
               padding: 1em 2em;
                background: fade(black,90%);
                .fontPlay;
                font-size:1.5em;
                text-align:center;
                @media @max-m {
                    width: 100%;
                    font-size: 1.25em;
                }
                .pre-title {
                    font-size: 1em;
                    position: relative;
                    margin-bottom: 2em;
                    &::after {
                        content: "";
                        background: white;
                        height: 2px;
                        width: 50px;
                        position: absolute;
                        bottom: -1em;
                        left: 50%;
                        transform: translateX(-50%);
                    }
                }
                .title {
                    font-size: 2em;
                    @media @max-s {
                        font-size: 1.5em;
                    }
                } 
            }

            p {
                margin: 1.25rem 0;
            }

        }
    }
    .img-slide {
        width: 100%;
        img {
            width: 100%;
        }
    }
 
    .slick-arrow {
        position: absolute;
        z-index: 3;
        top: 50%;
        transform: translateY(-50%);
        cursor: pointer;
        background: none;
        border:none;
        color:white;
        opacity: 0.5;
        font-size: 1.75em;
        @media @max-l {
            font-size: 1.5em;
        }
        @media @max-m {
            display: none !important;
        }
        .csstransition;
        outline:none;
        &:hover {
            opacity: 1;
            .csstransition;
        }
        &.slick-prev {
            left: 1em;
        }
        &.slick-next {
            right: 1em;
        }
    }
        
    
}

.intro-section {
    padding: 4em 0;
    .intro-title {
        font-size: 2.25em;
        .fontPlay;
        color:@beige;
        margin-bottom: 0.5em;
    }
    .intro-text {
        font-size:1.125em;
        font-weight: 400;
    }
}
.item-camera {
    .pre-title {
        text-transform: uppercase;
        font-size: 0.875em;
        margin-bottom: 1rem;
    }
    .title {
        margin-bottom: 1rem;
        .fontPlay;
        font-size:3em;
        &.with-icon {
            font-size: 2.25em;
            img {
                max-width:80px;
                display: inline-block;
                vertical-align: baseline;
                margin-right: 0.5rem;
            }
            span {
                
                display: inline-block;
                vertical-align: baseline;
            }
        }
    }
    .description {
        font-size: 1em;
        line-height: 1.75em;
        margin: 1.5rem 0;
        
    }
    .price-table {
        margin: 2em 0 1em;
        font-size: 1.125em;
        tr {
            td {
                border-bottom:1px solid white;
                padding: 0.75em;
                &:first-child {
                    padding-left: 0;
                }
                &:last-child {
                    padding-right: 0;
                }
            }
        }
        .time {
            font-weight:600;
            text-transform: uppercase;
            padding-right: 2em;
        }
        .striked {
            text-decoration: line-through;
            font-weight:300;
        }
        .price {
            font-weight: 900;
            color:@beige;
        }
    }
}
.listing-camere-slider {
    .item-camera {
        position: relative;
        @media @min-l {
            &::before {
                content: "";
                position: absolute;
                background: fade(black,50%);
                top: 0;
                bottom: 0;
                width: 100%;
                width: 50%;
                z-index: 1;
                .sticky-camere& {
                    display: none;
                }
            }
        }
        .pre-title {
            .fontPlay;
            text-transform: none;
            font-size: 1.25em;
        }
        .title {
            .sticky-camere& {
                margin-top: 0;
            }
        }
        .description {
            .sticky-camere& {
                line-height: 1.5em;
                font-size: 1.375em;
            }
        }
        .item-text {
            position: relative;
            z-index: 2;
            padding: 3em 0;
            @media @min-l {
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                z-index: 2;
                width: 100%;
            }
            .flex-wrapper {
                display: flex;
                .sticky-camere& {
                    align-items: center;
                    justify-content: center;
                }
            }
            .content {
                .sticky-camere& {
                    background: fade(black,50%);
                    padding: 2em;
                    text-align:center;
                }
            }
            @media @min-l {
                .content {
                    width: 50%;
                    .sticky-camere& {
                        width: auto;
                    }
                }
            }

            
            .cta-default {
                text-transform: uppercase;
            }
        }
        .item-slider {
            position: relative;

            @media @min-l {
                position: relative;
                z-index: 0;
                min-height:300px;
                img {
                    margin-bottom: -4px;
                }
            }
        }
        .item-arrows {
            position: absolute;
            bottom: 0.5em;
            z-index: 3;
            display: flex;
            left: 5%;
            @media @min-l {
                left: 50%;
                transform: translateX(-50%);
            }     
            .slick-arrow {
                cursor: pointer;
                background: none;
                border:none;
                color:@beige;
                font-size: 1.75em;
                @media @max-l {
                    font-size: 1.5em;
                }
                .csstransition;
                outline:none;
                &:hover {
                    color: white;
                    .csstransition;
                }
            }    
        }
        .show-video {
            display: flex;
            flex-direction: column;
            text-decoration:none;
            color:white;
            .far {
                font-size: 3em;
                margin-bottom: 1rem;
                @media @max-s {
                    font-size: 2em;
                    margin-bottom:0;
                }
            }
            span {
                display: inline-block;
                .fontPlay;
                margin-top: 1em;
            }
        }

        @media @min-l {
            .alternate& {
                 /*sopra i 900px alterna destra sinistra testo/img*/
                &:nth-of-type(2n+1){
                    &::before {
                        left: 0;
                    }
                    .item-text {
                        .flex-wrapper {
                           justify-content: flex-start;
                        }
                        .content {
                            padding-right: 3em;
                        }
                    }
                }
                &:nth-of-type(2n){
                    &::before {
                        right: 0;
                    }
                    .item-text {
                        .flex-wrapper {
                           justify-content: flex-end;
                        }
                        .content {
                            padding-left: 3em;
                        }
                    }
                }
            }
           
        }
    }
}
.area-extra {
    padding: 2em 0;
    .intro-section {
        padding: 2em 0;
    }
}
.listing-offerte {
    .item-offerta {
        display: flex;
        flex-direction:column;
        justify-content: space-between;
        text-decoration:none;
        background: darken(@beige,5%) url("../images/offerte-bg-item.png") no-repeat center;
        min-height:200px;
        .csstransition;
        text-align:center;
        color:white;
        position: relative;
        &:hover {
            background-color: @beige;
            .csstransition;
        }
        .entry-header {
            padding: 2em 2rem;
            .title {
                font-size:1.125em;
                font-weight:600;
                margin-bottom: 0.5em;
            }
            .subtitle {
                font-size:0.875em;
                line-height:1.25em;
                font-weight:500;
                color:@black;
            }
        }
        .price-wrap {
            padding: 1em 2rem;
            background:url("../images/offerte-bg-ellisse.png") no-repeat top center;
            background-size: 100% auto;
        }
    }
    .view-all {
        margin-top: 1em;
    }
}
.listing-news {
    &.summary {
        margin-top: 1em;
        .item-news {
            text-decoration: none;
            margin-bottom:1em;
            position: relative;
            color:white;
            display: flex;
            align-items: center;
            background: @black;
            margin-right: 20px;
            .csstransition;
            figure {
                
                img {
                    display: block;
                    max-width:100px;
                }
            }
            .content {
                padding: 1.5em;
                line-height: 1.75em;
                font-size:0.875em;
                font-weight:300;
            }
            .readmore {
                position: absolute;
                right: -20px;
                top: 50%;
                transform: translateY(-50%);
                background: @darkgray;
                width: 40px;
                height: 40px;
                border-radius: 50%;
                display: flex;
                align-items: center;
                justify-content: center;
                .csstransition;
            }
            &:hover {
                background-color: darken(@darkgray,15%);
                .csstransition;
                .readmore {
                    background-color: @beige;
                    .csstransition;
                }
            }
        }
        .view-all {
            margin-top: 1em;
            .cta-default{
                .cta-default(@darkgray, white,white);
            }
        }
        
    }
}
.img-page-separator {

    img {
        width: 100%;
        display: block;
        opacity: 0.5;
    }
}
.site-footer {
    padding: 3em 0;
    color:@light-txt;
    .widget-title {
        font-size: 1.125em;
        border-bottom:1px solid @light-txt;
        padding-bottom: 1em;
        font-weight:300;
        margin-bottom: 1.5em;
    }
    .widget-text {
        font-size: 0.875em;
        line-height: 1.25em;
        ul {
            margin:1em 0;
            li {
                margin-bottom:0.25em;
                line-height: 1.25em;
                a {
                    color:@light-txt;
                }
            }
        }
    }
}
.site-closure {
    text-align:center;
    padding: 0 0 3em;
    .closure-logo {
        display: flex;
        align-items: flex-end;
        &::before,
        &::after {
            flex:1;
            content:"";
            height: 1px;
            background-color: @beige;
        }
        img {
            width:200px;
            margin: 0 2em;
        }
    }
    .map-places-list {
        margin-top:2em;
        line-height:1.25em;
        a {
            text-decoration:none;
            color:@light-txt;
            font-weight:300;
            &:hover {
                color:@beige;
            }
        }
    }
}
.listing-camere-wall {
    padding: 3em 0;
    .thumb {
        img {
            width: 100%;
        }
    }
    @media @min-m {
        .content {
            padding-left: 0.5em;
        }
        figure.thumb {
            padding-right: 0.5em;
        }
    }
}
.main-camere-container {
    padding: 4em 0;
    .intro-title {
        font-size: 2.25em;
        .fontPlay;
        color:@beige;
        margin-bottom: 0.5em;
    }
    .price-col {
        @media @min-m {
            border-left:1px solid white;
            padding-left: 2em;
        }
        .cta-wrap {
            a {
                margin: 0.5em 0;
            }

            a:first-child {
                margin-right: 1em;
            }
        }
    }
    .price-table {
        margin-top: 0;
    }
}

.full-page-gallery {
    display: flex;
    flex-wrap:wrap;
    .item-gallery {
        flex:1 1 100/3%;
        .csstransition;
        @media @max-l {
            flex-basis:50%;
        }
        @media @max-xs {
            flex-basis:100%;
        }
        &:hover {
            opacity: 0.7;
            .csstransition;
        }
    }
    img {
        width: 100%;
        display: block;
    }
}

.big-cta-area {
    background-color: @beige;
    color:white;
    padding: 4em 0;
    text-align: center;
    .title {
        .fontPlay;
        font-size: 2.250em;
    }
    .description {
        line-height:1.5em;
        margin: 1.5em 0;
    }
    .cta-wrap {
        a {
            margin: 0.5em;
        }
    }
}

@media @max-l {
    html,body {
        font-size: 15px;
    }
}
@media @max-s {
    html,body {
        font-size: 14px;
    }
}
